#
# spec file for package performous
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           performous
Version:        0.7.0
Release:        3.20
License:        GPL-2.0+
Summary:        An open-source karaoke, band and dancing game
Url:            http://performous.org
Group:          Amusements/Games/Action/Arcade
Source:         http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/performous-%{version}.tar.bz2
Source1:        http://downloads.sourceforge.net/project/performous/ultrastar-songs-libre/3/ultrastar-songs-libre-3.zip
Source2:        README_SONG
Patch0:         performous-ffmpeg.patch
Patch1:         performous-0.7.0.patch
BuildRequires:  boost-devel
BuildRequires:  cairo-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glew-devel
BuildRequires:  glibmm2-devel
BuildRequires:  help2man
%if 0%{?suse_version} <= 1130
BuildRequires:  libjpeg-devel
%else
BuildRequires:  libjpeg62-devel
%endif
BuildRequires:  librsvg-devel
BuildRequires:  libsigc++2-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxml++-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(ImageMagick++)
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  portaudio-devel
BuildRequires:  portmidi-devel
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An open-source karaoke, band and dancing game where one or more players perform a song and the game scores their performances.
Supports songs in UltraStar, Frets on Fire and StepMania formats. Microphones and instruments from SingStar,
Guitar Hero and Rock Band as well as some dance pads are autodetected.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp %{S:2} .

%build
# set optflags
CFLAGS="%{optflags}"
CXXFLAGS=$CFLAGS
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DCMAKE_SKIP_RPATH=TRUE \
      -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE ..
make %{?_smp_mflags}

%install
cd build
%make_install
%suse_update_desktop_file -r %{name} Game ArcadeGame
%find_lang Performous
### TODO Put songs-libre in subpackage?
# add songs-libre
unzip %{S:1} -d %{buildroot}%{_datadir}/games/performous/

%clean
%{?buildroot:rm -rf %{buildroot}}

%files -f build/Performous.lang
%defattr(-,root,root)
%doc docs/Authors.txt docs/Compiling.txt docs/License.txt README_SONG
# binaries
%{_bindir}/gh_fsb_decrypt
%{_bindir}/gh_xen_decrypt
%{_bindir}/itg_pck
%{_bindir}/performous
%{_bindir}/ss_adpcm_decode
%{_bindir}/ss_archive_extract
%{_bindir}/ss_chc_decode
%{_bindir}/ss_cover_conv
%{_bindir}/ss_extract
%{_bindir}/ss_ipu_conv
%{_bindir}/ss_pak_extract
# menu entry
%{_datadir}/applications/performous.desktop
%{_datadir}/pixmaps/performous.xpm
# man page
%{_mandir}/man6/performous.6%{ext_man}
# game data
%{_datadir}/games/performous
%changelog
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Wed Jan  9 2013 fisiu@opensuse.org
- Update to 0.7.0:
  * Full duet support (SingStar xml, UltraStar txt and Frets on
    Fire format)
  * High-pitched soprano voice is now detected properly
  * Modern rendering pipeline (OpenGL >= 2.1 required)
  * Stereo3D mode (Anaglyph glasses, top/bottom, experimental HDMI
    1.4 support, requires OpenGL >= 3.3)
  * Asynchronous texture loading
  * Instrument type configuration via settings menu
  * More USB devices autodetected
  * MIDI drum mapping is now configurable
  * Improved webcam support and compatibility
  * Configurable legacy charset (for non-UTF-8 songs)
  * Many minor fixes
* Tue May 17 2011 fisiu@opensuse.org
- set optflags and minor cmake's adjustments
* Mon May 16 2011 fisiu@opensuse.org
- add 2 ultrastar-songs-libre
* Mon May 16 2011 fisiu@opensuse.org
- initial package
